Subject: RFC 4339 errata

From: Alfred Hönes <[email-masked]>
Date: Thu, 2 Mar 2006 12:47:42 +0100 (MEZ)

Hello,
I'd like to submit a few comments on the recently published
RFC 4339 edited by you.
(I omit mentioning minor/trivial typos, like missing articles.)

(1)  [typo]

I suspect a significant typo in section 3.3 of RFC 4339,
9 text lines above the bottom of page 9.  The RFC text says:

   That is, on a link, an anycast address is assumed to be unique.  DNS
   clients today already have redundancy by having multiple well-known
|  anycast addresses configured as RDNSS addresses.  [...]
   ^^^

IMHO, in this context, *unicast* is what we already have.
Hence, the RFC should say:

   That is, on a link, an anycast address is assumed to be unique.  DNS
   clients today already have redundancy by having multiple well-known
|  unicast addresses configured as RDNSS addresses.  [...]
   ^^^

(2)  [typo]

In section 5.3.3, in the lower half of page 17, RFC 4339 says:

   4.  It is sub-optimal to utilize the radio resources in 3GPP networks
|      for DHCPv6 messages if there is a simpler alternative is
       available.
                                   ^^^^                     ^^^^
It should say:

   4.  It is sub-optimal to utilize the radio resources in 3GPP networks
|      for DHCPv6 messages if there is a simpler alternative available.

(3)  outdated Informative Reference

Unfortunately, the publication process of RFC 4339 had an
overlap with the update to the IPv6 Addressing Architecture
document.  More than two weeks ahead of publication of RFC 4339,
RFC 4291 had been published, obsoleting RFC 3513 [10].
The former has released most of the restrictions on the use of
anycast addresses formerly specified by the latter.  In various
places, a text simplification would have been possible in RFC
4339, would it have been based on RFC 4291 instead of RFC 3513.

I propose that you submit an Author's Errata Note for RFC 4339
in order to correct issues (1) and (2) above.
Issue (3) is perhaps too subtle to be covered by such a note.
Alternatively, if you prefer and give me your consent, I could
submit the Errata Note as well.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+